Gets declaring class

- « ReflectionProperty::getAttributes

- ReflectionProperty::getDefaultValue »

- PHP Manual
- ReflectionProperty
- Gets declaring class

# ReflectionProperty::getDeclaringClass

(PHP 5, PHP 7, PHP 8)

ReflectionProperty::getDeclaringClass — Gets declaring class

### Description

public ReflectionProperty::getDeclaringClass(): ReflectionClass

Gets the declaring class.

### Parameters

This function has no parameters.

### Return Values

A ReflectionClass object.

### See Also

- ReflectionProperty::getName() - Gets property name